cURL
curl --request GET \
--url https://www.atom.com/api/marketplace/ordersimport requests
url = "https://www.atom.com/api/marketplace/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.atom.com/api/marketplace/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/marketplace/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/marketplace/orders"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.atom.com/api/marketplace/orders")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/marketplace/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"total_records": 1,
"total_pages": 1,
"page": 1,
"limit": 20,
"data": [
{
"order_id": 98765,
"order_status": "Completed",
"transfer_status": "Completed",
"transfer_option": "option2",
"domain_name": "brightly.com",
"sale_price": 9995,
"expected_net_payout": 8495.75,
"actual_net_payout": 8495.75,
"created_at": "2026-03-09 10:15:22",
"updated_at": "2026-03-09 11:02:01",
"domain": {
"id": 12345,
"domain_name": "brightly.com",
"status": "Purchased",
"full_price": 12995,
"selling_price": 9995,
"primary_category": "Technology",
"discount": 3000,
"description": "A bright, memorable brandable domain.",
"logo_image": "https://www.atom.com/logo/brightly.png",
"image_url": "https://www.atom.com/logo/brightly.png"
}
}
]
}APIs List
Get Orders
Retrieve list of all partnership orders, including key details such as order status, total price, and created date. Use this endpoint to power order history views or internal reconciliation tools.
GET
/
orders
cURL
curl --request GET \
--url https://www.atom.com/api/marketplace/ordersimport requests
url = "https://www.atom.com/api/marketplace/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.atom.com/api/marketplace/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/marketplace/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/marketplace/orders"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.atom.com/api/marketplace/orders")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/marketplace/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"total_records": 1,
"total_pages": 1,
"page": 1,
"limit": 20,
"data": [
{
"order_id": 98765,
"order_status": "Completed",
"transfer_status": "Completed",
"transfer_option": "option2",
"domain_name": "brightly.com",
"sale_price": 9995,
"expected_net_payout": 8495.75,
"actual_net_payout": 8495.75,
"created_at": "2026-03-09 10:15:22",
"updated_at": "2026-03-09 11:02:01",
"domain": {
"id": 12345,
"domain_name": "brightly.com",
"status": "Purchased",
"full_price": 12995,
"selling_price": 9995,
"primary_category": "Technology",
"discount": 3000,
"description": "A bright, memorable brandable domain.",
"logo_image": "https://www.atom.com/logo/brightly.png",
"image_url": "https://www.atom.com/logo/brightly.png"
}
}
]
}Query Parameters
Your API key
Your Atom user ID
Optional filter to return only orders for a specific domain (e.g., example.com)
Page number for pagination (default: 1)
Required range:
x >= 1Number of orders per page (default: 20, max: 100)
Required range:
1 <= x <= 100